Subject: Re: [patch 29/30] PS3: Device tree source.

From: Segher Boessenkool <[email-masked]>
Date: Thu, 14 Jun 2007 09:39:59 +0200

> I will use model = "SonyPS3";

Okie.

>>> +	compatible = "PS3";
>>
>> name = "sony,ps3"
>
>
> As Ben H. said, the top level 'name' cannot be set,

Bug in the flat device tree stuff.

> and
> I found dtc exits with an error if you include one.
>
> The compatible entry is generally used to test for machine
> type, so I think that needs to remain, and I will use
> compatible = "sony,ps3".

"compatible" is a set of alternates for "name", so you can
use it if you have to.

>>> +	 * Need to keep linux,platform for a while, not used by kernel.
>>> +	 */
>>
>> Why that?
>
> Newer dtc seems to be OK with this removed, old ones exited with error.

Ok.  So you'll remove it?

>>> +		CBE,PPE {
>>
>> PowerPC,CBE@0 or cpu@0 -- the important thing is you need
>> the @0 unit address.
>
> OK, I set it up as cpu@0, since the actual type seems to be probed for.

PowerPC CPUs have a defined way of identifying themselves
exactly, and this PVR value is supposed to be in the
device tree too (although Linux probes it directly from
the CPU).  You could still put the name in the "compatible"
property, but CPU nodes are a bit special, I don't think
that would gain anything.

>>> +			d-cache-size = <8000>;
>>
>> I thought DL1 was 64kB, I might be wrong though?
>
> The BE handbook says 32.

Ok, good.

Segher